## org.hibernate.cache.spi.entry
Interface CacheEntryStructure

All Known Implementing Classes:
  StructuredCacheEntry, StructuredCollectionCacheEntry, StructuredMapCacheEntry, UnstructuredCacheEntry

    public interface CacheEntryStructure

Method Summary
`Object` `destructure(Object map, SessionFactoryImplementor factory)`
`Object` `structure(Object item)`

Method Detail

### structure

    Object structure(Object item)

### destructure

    Object destructure(Object map,
                       SessionFactoryImplementor factory)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.